import { ToastEventBus } from 'primevue'

const instance = $fetch.create({
  baseURL: process.env.API_BASE_URL || 'https://api.koptilnya.xyz/chad',
  credentials: 'include',
  onResponseError({ response }) {
    if (!import.meta.client)
      return

    const message = response._data.error || 'Something went wrong'

    ToastEventBus.emit('add', { severity: 'error', summary: 'Error', detail: message, closable: false, life: 3000 })
  },
})

export default instance
